import os
import pygame
from pygame.locals import *

#classes
class Screen:
    """ A representation of the display """

    def __init__(self, width, height, title):
        self.display = pygame.display.set_mode ((width, height), HWSURFACE|DOUBLEBUF)
        self.setTitle (title)

    def setTitle (self, title):
        pygame.display.set_caption (title)

#functions
def load_image (name):
    """ Loads an image """
    path = os.path.join ('data', 'gfx', name)
    return pygame.image.load (path).convert()

def load_sound (name):
    """ Loads a sound """
    path = os.path.join ('data', 'sfx', name)
    return pygame.mixer.Sound (path)

def load_music (name):
    path = os.path.join ('data', 'music', name)
    pygame.mixer.music.load (path)

def load_font (size, name=None):
    if name == None:
        font = name
    else:
        font = os.path.join ('data', 'fonts', name)
    return pygame.font.Font (font, size)
